Name: appliance
Summary: Virtual packages for more easy appliance build
Version: 3.0.13
Release: alt1
License: GPL
Group: System/Base
BuildArch: noarch
Source: %name-%version.tar
Url: http://git.altlinux.org/people/mithraen/packages/appliance.git
Packager: Denis Smirnov <mithraen@altlinux.ru>

%package base-admin-common
Summary: Virtual package that require utilites for admins
Group: System/Base
Requires: basesystem
Requires: appliance-base-glibc iconv
Requires: bash zsh
Requires: mc
Requires: man-pages man-pages-ru
Requires: vim-enhanced
Requires: apt rpm
Requires: which
Requires: rsync
Requires: su
Requires: sudo
Requires: screen
Requires: lsof
Requires: less grep sed findutils file diffutils
Requires: cpio tar bzip2 gzip zip unzip

%description base-admin-common
Virtual package that require utilites for admins

%package base-admin-disk
Summary: Virtual package that require utilites for admins
Group: System/Base
Requires: fdisk cfdisk sfdisk

%description base-admin-disk
Virtual package that require utilites for admins

%package base-admin-hn
Summary: Virtual package that require utilites for admins
Group: System/Base
Provides: appliance-base-admin = %version-%release
Conflicts: appliance-base-admin < %version-%release
Conflicts: appliance-base-admin > %version-%release
Obsoletes: appliance-base-admin < %version-%release
Requires: appliance-base-admin-common = %version-%release
Requires: appliance-base-admin-disk = %version-%release

%description base-admin-hn
Virtual package that require utilites for admins

%package base-admin-ve
Summary: Virtual package that require utilites for admins
Group: System/Base
Requires: appliance-base-admin-common = %version-%release

%description base-admin-ve
Virtual package that require utilites for admins

%package base-admin
Summary: Virtual package that require utilites for admins
Group: System/Base
Requires: basesystem
Requires: appliance-base-glibc iconv
Requires: bash zsh
Requires: mc
Requires: man-pages man-pages-ru
Requires: vim-enhanced
Requires: apt rpm
Requires: which
Requires: rsync
Requires: su
Requires: sudo
Requires: screen
Requires: lsof
Requires: less grep sed findutils file diffutils
Requires: cpio tar bzip2 gzip zip unzip
Requires: fdisk cfdisk sfdisk

%description base-admin
Virtual package that require utilites for admins

%package base-compress-all
Summary: Virtual package that require all compress-related utilites
Group: System/Base
Requires: cpio tar
Requires: bzip2 gzip
Requires: zip unzip
Requires: lzma-utils

%description base-compress-all
Virtual package that require all compress-related utilites

%package base-glibc
Summary: Virtual package that require all glibc components
Group: System/Base
Requires: glibc
Requires: glibc-core
Requires: glibc-gconv-modules
Requires: glibc-i18ndata
Requires: glibc-locales
Requires: glibc-nss
Requires: glibc-pthread
Requires: glibc-timezones
Requires: glibc-utils

%description base-glibc
Virtual package that require all glibc components

%package base-minimal
Summary: Virtual package that require some essential packages
Group: System/Base
Requires: appliance-base-glibc
Requires: apt
Requires: basesystem
Requires: bzip2
Requires: etcnet
Requires: glibc
Requires: hostinfo
Requires: less
Requires: netlist
Requires: rsync
Requires: shadow-edit
Requires: sysklogd
Requires: time
Requires: vim-console

%description base-minimal
Virtual package that require some essential packages
This appliance need to be required from every other appliance


%package base-server
Summary: Virtual package for server appliance
Group: System/Base
Requires: basesystem
Requires: appliance-base-admin
Requires: appliance-base-glibc
Requires: coldplug
Requires: libhw-tools
Requires: iproute2 iptables iputils etcnet-full
Requires: crontab-control crontabs
Requires: appliance-ntp-autosync ntpdate
Requires: openssh-clients openssh-server openssl
Requires: osec osec-cronjob osec-mailreport
Requires: quota

%description base-server
Virtual package for server appliance

%package base-ve-conflicts
Summary: Conflicts with packages unneeded in VE
Group: System/Base
Conflicts: dmidecode
Conflicts: fdisk
Conflicts: ConsoleKit
Conflicts: PolicyKit
Conflicts: pam-ck-connector
Conflicts: libConsoleKit
Conflicts: libdbus-glib
Conflicts: libpolkit
Conflicts: dbus
Conflicts: udev
Conflicts: libvolume_id
Conflicts: udev_static-addon
Conflicts: dmsetup
Conflicts: app_defaults
Conflicts: hwdatabase

%description base-ve-conflicts
Conflicts with packages unneeded in VE

%package caching-dns
Summary: setup bind as caching DNS-server
Group: System/Base
BuildArch: noarch
Requires(post): bind grep chrooted

%description caching-dns
setup bind as caching DNS-server

%package devel-alt
Summary: Virtual package that require ALT-specific devel packages
Group: Development/Other
Requires: seiros-build-utils
Requires: etersoft-build-utils
Requires: comfort
Requires: gear git tig
Requires: hasher
Requires: kernel-build-tools
Requires: rpm-utils
Requires: rpm-build
Requires: rpm-build-compat
Requires: rpm-build-perl
Requires: rpm-build-python
Requires: rpm-build-tcl
Requires: cpan2rpm
Requires: srpmcmp qa-robot
Requires: spt spt3
Requires: distribute
Requires: sisyphus
Requires: sisyphus-mirror

%description devel-alt
Virtual package that require ALT-specific devel packages

%package devel-php5
Summary: Virtual package that require php5-related packages
Group: Development/Other
Provides: appliance-devel-php = %version-%release
Conflicts: appliance-devel-php < %version-%release
Obsoletes: appliance-devel-php < %version-%release
Requires: php5-pdo_mysql
Requires: php5-pdo_odbc
Requires: php5-pdo_pgsql
Requires: php5-pdo_sqlite
Requires: php5-calendar
Requires: php5-exif
Requires: php5-ffmpeg
Requires: php5-fileinfo
Requires: php5-gmp
Requires: php5-memcache
Requires: php5-mysqli
Requires: php5-pcntl
Requires: php5-pdo
Requires: php5-soap
Requires: php5-sockets
Requires: php5-bz2
Requires: php5-dom php5-mhash php5-rrdtool php5-sqlite php5-xmlrpc php5-xsl
Requires: php5 php5-cgi php5-libs
Requires: php5-devel
Requires: php5-mysql php5-pgsql php5-dba
Requires: php5-imap  php5-gd2 php5-mbstring php5-zip
Requires: php5-snmp
Requires: php5-openssl
Requires: php5-curl
Requires: php5-suhosin
Requires: php-manual-ru
Requires: apache-mod_php5
Requires: php5-mcrypt

%description devel-php5
Virtual package that require php5-related packages

%package hn
Summary: Virtual package for packages useful on ovz HN
Group: System/Base
Requires: appliance-rescue-static
Requires: appliance-ve-std
Requires: syskeeper-hn
Requires: kernelbootlog
Requires: spt

%description hn
Virtual package for packages useful on ovz HN

%package hosting-mail
Summary: Mailserver VE
Group: System/Base
Requires: appliance-ve-std
Requires: appliance-base-glibc
Requires: courier-imap
Requires: courier-maildrop
Requires: courier-authlib
Requires: courier-authlib-userdb
Requires: fetchmail-daemon
Requires: postfix
Requires: postfix-cyrus
Requires: postfix-pcre
Requires: postfix-pgsql
Requires: postfix-tls
Requires: cyrus-sasl2
Requires: sqlgrey
Requires: spamassassin-spamc
Requires: spamassassin-spamd

%description hosting-mail
Mailserver VE

%package hosting-mysql
Summary: Simple MySQL-only VE
Group: System/Base
Requires: appliance-ve-std
Requires: appliance-base-minimal
Requires: anacron
Requires: MySQL-bench
Requires: MySQL-server-perl
Requires: lzma-utils
Requires: mysqltuner
Requires: mtop

%description hosting-mysql
Simple MySQL-only VE

%package hosting-php5
Summary: Requires all PHP modules
Group: System/Base
Requires: php5-array2arraymap-sdb
Requires: php5-bz2
Requires: php5-calendar
Requires: php5-cgi
Requires: php5-cups
Requires: php5-dba
Requires: php5-dbase
Requires: php5-eaccelerator
Requires: php5-exif
Requires: php5-facedetect
Requires: php5-ffmpeg
Requires: php5-fileinfo
Requires: php5-gmp
Requires: php5-imagick2
Requires: php5-imap
Requires: php5-ldap
Requires: php5-mbstring
Requires: php5-mcrypt
Requires: php5-memcache
Requires: php5-mime_magic
Requires: php5-mysql
Requires: php5-mysqli
Requires: php5-openid
Requires: php5-openssl
Requires: php5-pcntl
Requires: php5-pdo_mysql
Requires: php5-pdo_odbc
Requires: php5-pdo_pgsql
Requires: php5-pdo_sqlite
Requires: php5-pgsql
Requires: php5-rrdtool
Requires: php5-simplexml
Requires: php5-snmp
Requires: php5-soap
Requires: php5-sockets
Requires: php5-sqlite
Requires: php5-thrift
Requires: php5-xdebug
Requires: php5-xmlrpc
Requires: php5-xsl
Requires: php5-zip

%description hosting-php5
Requires all PHP modules

%package hw-cronyx
Summary: Cronyx-related packages
Group: System/Base
Requires: appliance-hw-zaptel
Requires: cronyx

%description hw-cronyx
Cronyx-related packages

%package hw-sangoma
Summary: Sangoma-related packages
Group: System/Base
Requires: appliance-hw-zaptel
Requires: wanpipe
Requires: wanpipe-complete
Requires: wanpipe-docs

%description hw-sangoma
Sangoma-related packages

%package hw-ti24
Summary: Seiros TI24-related packages
Group: System/Base
Requires: appliance-hw-zaptel
Requires: firmware-seiros-ti24
Requires: ti24utils

%description hw-ti24
Seiros TI24-related packages

%package hw-zaptel
Summary: Zaptel-related packages
Group: System/Base
Requires: zaptel
Requires: zaptel-full
Requires: zaptel-seiros
Requires: zaptel-test
Requires: zaptel-zttool

%description hw-zaptel
Zaptel-related packages

%package i18n-ru-koi8
Summary: Setup default locale as ru_RU.KOI8-R
Group: System/Base
BuildArch: noarch
Requires(post): console-scripts

%description i18n-ru-koi8
Setup default locale as ru_RU.KOI8-R

%package mithraen-desktop
Summary: Packages that I use on my desktop
Group: System/Base
Requires: appliance-base-glibc
Requires: appliance-devel-alt
Requires: appliance-devel-php5
Requires: appliance-caching-dns
Requires: appliance-hn
Requires: apt-scripts
Requires: freemind
Requires: tomboy
Requires: gtg
Requires: knowit
Requires: fvwm-full
Requires: fbpanel
Requires: dzen2
Requires: eclipse-jdt
Requires: eclipse-nls-ru
Requires: fetchmail
Requires: procmail
Requires: mutt1.5
Requires: firefox-firebug
Requires: firefox-ru
Requires: firefox-sessionmanager
Requires: firefox-user-agent-switcher
Requires: youtube-dl
Requires: alsa-utils
Requires: fuse-encfs
Requires: cfdisk
Requires: ddrescue
Requires: hdparm
Requires: isoutils
Requires: logjam
Requires: mkimage
Requires: spt
Requires: mplayer-i18n-ru
Requires: nexuiz-client-sdl
Requires: oooqs2
Requires: openoffice.org-langpack-ru
Requires: pcal
Requires: perltidy
Requires: rtorrent
Requires: samba
Requires: screen
Requires: sfdisk
Requires: sisyphus-mirror
Requires: slocate
Requires: sqlite3
Requires: telnet
Requires: tightvnc
Requires: tinyca2
Requires: traceroute
Requires: twinkle
Requires: update-kernel
Requires: vim-enhanced
Requires: vim-plugin-mail-after-ftplugin
Requires: vim-spell-ru
Requires: vim-spell-en
Requires: vlock
Requires: warzone2100
Requires: whois
Requires: wireshark-gtk+
Requires: xfsprogs
Requires: xsane

%description mithraen-desktop
Packages that I use on my desktop

%package network-debug
Summary: Network debug packages
Group: System/Base
Requires: nmap
Requires: tcpdump
Requires: trafshow
Requires: tshark
Requires: netcat
Requires: iptraf

%description network-debug
Network debug packages

%package ntp-autosync
Summary: autosync with ntp servers
Group: System/Base
BuildArch: noarch
Requires(post): openntpd

%description ntp-autosync
autosync with ntp servers

%package rescue-static
Summary: Virtual package that requires useful static-linked utilites
Group: System/Base
Requires: ash-static
Requires: find-static
Requires: cpio-static
Requires: rpm-static
Requires: lvm2-static

%description rescue-static
Virtual package that requires useful static-linked utilites
If you broke your system by remove or modify core system libraries,
this packages can help you in fixing your system.
Recommended to install in all non-virtual servers


%package seiros-desktop
Summary: Virtual package that require some desktop software
Group: System/Base
Requires: appliance-base-glibc
Requires: sane-frontends sane xsane hplip-sane
Requires: hplip-hpijs hplip-PPDs hplip-sane hplip-gui hplip-common hplip hplip-foomatic python-module-imaging
Requires: bash-completion
Requires: kdebase-wm kdelibs
Requires: oooqs2
Requires: mpd mpc
Requires: xscreensaver
Requires: xset
Requires: setxkbmap

%description seiros-desktop
Virtual package that require some desktop software

%package service-nagios
Summary: Virtual package that require all Nagios plugins
Group: System/Base
Requires: nagios
Requires: nagios-www
Requires: nagios-plugins-extra
Requires: nagios-plugins-snmp
Requires: nagios-plugins
Requires: nagios-plugins-network
Requires: nagios-plugins-ldap
Requires: nagios-plugins-samba
Requires: nagios-plugins-pgsql
Requires: nagios-plugins-mysql
Requires: nagios-plugins-common
Requires: nagios-plugins-nrpe
Requires: nagios-plugins-perl
Requires: nagios-plugins-local

%description service-nagios
Virtual package that require all Nagios plugins

%package ve-minimal
Summary: Virtual package for minimal VE
Group: System/Base
Requires: appliance-base-minimal
Requires: dev-minimal
Requires: etcnet-defaults-server

%description ve-minimal
Virtual package for minimal VE

%package ve-std
Summary: Virtual package for most VEs
Group: System/Base
Requires: appliance-ve-minimal
Requires: openssh-server
Requires: passwd
Requires: su
Requires: syskeeper-ve
Requires: vim-enhanced
Requires: mc
Requires: zsh
Requires: tig
Requires: postfix

%description ve-std
Virtual package for most VEs

%package web-mediawiki
Summary: Virtual package for MediaWiki install
Group: System/Base
Requires: appliance-ve-std
Requires: appliance-base-glibc
Requires: php5-dom php5-eaccelerator php5-mbstring php5-mime_magic php5-mysql php5-sockets
Requires: ImageMagick
Requires: librsvg
Requires: texvc
Requires: diffutils
Requires: apache-mod_php5

%description web-mediawiki
Virtual package for MediaWiki install

%package -n asterisk1.4-full
Summary: SeirosPBX -- full package
Group: System/Servers
BuildArch: noarch
Obsoletes: asterisk-std < 1.4.0-alt2
Conflicts: asterisk-std < 1.4.0-alt2
Provides:  asterisk = %version-%release
Conflicts: asterisk-full < %version-%release
Conflicts: asterisk-full > %version-%release
Obsoletes: asterisk-full
Provides: asterisk-full = %version-%release
Conflicts: seirospbx1.3-full
Conflicts: asterisk1.3-full
Conflicts: seirospbx1.4-full
Obsoletes: seirospbx1.4-full
Requires: asterisk-sounds-en
Requires: astmanproxy >= 20061015:1.22-alt1.pre.20061015
Requires: asterisk-op_panel >= 0.27-alt1
Requires: asterisk1.4-devel-doc
Requires: asterisk1.4-sources
Requires: asterisk1.4-complete
Requires: zaptel-full

%description -n asterisk1.4-full
Asterisk is a complete PBX in software. It provides all of the features
you would expect from PBX and more. Asterisk does voice over IP in three
protocols, and can interoperate with almost all standard-based telephony
equipment using relatively inexpensive hardware.


%package -n ve-asterisk
Summary: Asterisk server
Group: System/Base
BuildArch: noarch
Requires: appliance-base-minimal
Requires: openssh-server
Requires: passwd
Requires: less
Requires: elinks
Requires: strace
Requires: asterisk1.4
Requires: asterisk1.4-complete
Requires: asterisk-op_panel
Requires: asterisk-sounds-en
Requires: asterisk-freemusic-mozart
Requires: astmanproxy
Requires: zaptel-full

%description -n ve-asterisk
virtual package for Asterisk PBX appliance


%package -n zaptel-full
Summary: Zaptel -- full package
Group: System/Kernel and hardware
BuildArch: noarch
Requires: zaptel
Requires: genzaptelconf
Requires: zaptel-seiros
Requires: zaptel-test
Requires: zaptel-zttool

%description -n zaptel-full
Virtual package that requires all zaptel-related packages


%description
Virtual packages for more easy appliance build


%prep
%setup

%install
install -D -m755 appliance-hosting-mysql %buildroot/etc/firsttime.d/appliance-hosting-mysql

%post caching-dns
chkconfig bind on
if [ -z "$DURING_INSTALL" ]; then
    /sbin/service bind start
fi
if ! egrep -q '^nameserver 127.0.0.1$'; then
    echo "nameserver 127.0.0.1" > /etc/resolv.conf
    /sbin/update_chrooted all
fi

%post i18n-ru-koi8
cat > /etc/sysconfig/i18n << __T__
SYSFONTACM=koi8-r
SYSFONT=UniCyr_8x16
LANG=ru_RU.KOI8-R
__T__
sed -i s/KEYTABLE=.*/KEYTABLE=ruwin_cplk-KOI8-R/ /etc/sysconfig/keyboard
/sbin/chkconfig keytable on
if [ -z "$DURING_INSTALL" ]; then
    service keytable restart
fi

%post ntp-autosync
cat > /etc/ntpd.conf << __EOF__
listen on *
servers pool.ntp.org
__EOF__
chown root:wheel /etc/ntpd.conf
chmod 0640 /etc/ntpd.conf
/sbin/chkconfig ntpd on
if [ -z "$DURING_INSTALL" ]; then
    /sbin/service ntpd restart
fi

%files base-admin-common

%files base-admin-disk

%files base-admin-hn

%files base-admin-ve

%files base-admin

%files base-compress-all

%files base-glibc

%files base-minimal

%files base-server

%files base-ve-conflicts

%files caching-dns

%files devel-alt

%files devel-php5

%files hn

%files hosting-mail

%files hosting-mysql
/etc/firsttime.d/appliance-hosting-mysql

%files hosting-php5

%files hw-cronyx

%files hw-sangoma

%files hw-ti24

%files hw-zaptel

%files i18n-ru-koi8

%files mithraen-desktop

%files network-debug

%files ntp-autosync

%files rescue-static

%files seiros-desktop

%files service-nagios

%files ve-minimal

%files ve-std

%files web-mediawiki

%files -n asterisk1.4-full

%files -n ve-asterisk

%files -n zaptel-full

%changelog
* Sun Jul 19 2009 Denis Smirnov <mithraen@altlinux.ru> 3.0.13-alt1
- use appliance-ntp-autosync instead of ntpd

* Fri May 01 2009 Denis Smirnov <mithraen@altlinux.ru> 3.0.12-alt1
- move subpackages that can't be correctly installed to appliance-experimental
  package

* Mon Apr 27 2009 Denis Smirnov <mithraen@altlinux.org> 3.0.11-alt1
- appliance-hn:
  + add kernelbootlog.
- appliance-devel-alt:
  + add sisyphus-mirror.
- appliance-mithraen-desktop:
  + add sample profile for desktop system.
- add new profiles::
  + appliance-build-asterisk.

* Sun Apr 26 2009 Denis Smirnov <mithraen@altlinux.ru> 3.0.10-alt1
- appliance-hn:
  + add kernelbootlog.
- appliance-devel-alt:
  + add sisyphus-mirror.
- appliance-mithraen-desktop:
  + add sample profile for desktop system.

* Mon Apr 20 2009 Denis Smirnov <mithraen@altlinux.ru> 3.0.9-alt1
- add appliance-hosting-pear
- add appliance-hosting-php5
- add appliance-hosting

* Sun Feb 15 2009 Denis Smirnov <mithraen@altlinux.ru> 3.0.8-alt1
- add appliance-caching-dns
- add appliance-i18n-ru-koi8
- add appliance-ntp-autosync

* Wed Feb 11 2009 Denis Smirnov <mithraen@altlinux.ru> 3.0.7-alt1
- add appliance-network-debug

* Wed Feb 11 2009 Denis Smirnov <mithraen@altlinux.ru> 3.0.6-alt1
- add appliance-hw-sangoma
- add appliance-hw-cronyx
- add appliance-hw-ti24
- add appliance-hw-zaptel

* Sat Nov 22 2008 Denis Smirnov <mithraen@altlinux.ru> 3.0.5-alt1
- import zaptel-full
- import asterisk1.4-full
- import ve-asterisk

* Fri Nov 21 2008 Denis Smirnov <mithraen@altlinux.ru> 3.0.4-alt1
- remove requires appliance-devel-alt -> rpm-build-php

* Tue Nov 18 2008 Denis Smirnov <mithraen@altlinux.ru> 3.0.3-alt1
- change requires ImageMagick-minimal -> ImageMagick

* Tue Nov 18 2008 Denis Smirnov <mithraen@altlinux.ru> 3.0.2-alt1
- remove appliance-devel-php

* Mon Nov 17 2008 Denis Smirnov <mithraen@altlinux.ru> 3.0.1-alt1
- remove requires to packages removed from Sisyphus

* Fri Nov 14 2008 Denis Smirnov <mithraen@altlinux.ru> 3.0-alt1
- first build for Sisyphus

